KBUILDSYCOCA4(8)

NAME
kbuildsycoca4 - Refà el cau de configuració del sistema.

SINOPSIS

kbuildsycoca4 [[--nosignal] | [--noincremental] | [--checkstamps] | [--nocheckfiles] | [--global] | [--menutest] | [--track menu-id] | [--help] | [--help-qt] | [--help-kde] | [--help-all] | [--author] | [-v, --version] | [--license]]

DESCRIPCIó

kbuildsycoca4, forma part de les eines de línia d'ordres del KDE i assegura l'adequada operació d'aquest en llegir tots els fitxers .desktop, ..xml, i .protocol per a construir una base de dades binària.

El mateix KDE accedeix a aquesta base de dades durant l'operació per a proveir la informació de configuració que necessita un programa per a executar-se.

Aquesta eina forma part de ksycoca4, que manté la memòria cau de la configuració del sistema KDE

OPCIONS

--nosignal
    No senyala les aplicacions per actualitzar

--noincremental
    Deshabilita l'actualització incremental, torna a llegir-ho tot

--checkstamps
    Comprova les marques de temps del fitxer

--nocheckfiles
    Desactiva la comprovació de fitxers (perillós)

--global
    Crea una base de dades global

--menutest
    Executa només una prova de generació de menú

--track menu-ID
    Segueix l'identificador de menú per a la depuració

--help
    Mostra ajuda quant a les opcions

--help-qt
    Mostra les opcions específiques de Qt

--help-kde
    Mostra les opcions específiques de KDE

--help-all
    Mostra totes les opcions

--author
    Mostra informació de l'autor

-v, --version
    Mostra informació de la versió

--license
    Mostra informació de llicència

ÚS

Una manera estàndard per executar aquest programa és simplement especificant l'ordre següent a l'indicatiu kbuildsycoca4

FITXERS

/var/tmp/kde-$USER/ksycoca4
    El directori per omissió a on s'emmagatzemaran els fitxers de memòria cau.

VARIABLES D'ENTORN

$KDEDIRS
    Especifica quins directoris formen part de la instal⋅lació de KDE

$KDESYCOCA
    Especifica el camí al fitxer de la base de dades sycoca

VEURE TAMBé

kdeinit4

ERRORS

Probablement hi ha molts errors. Useu bugs.kde.org[1] per a informar-los.

AUTHOR

Darian Lanx <content@openprojects.net>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org